/*******************************************************************************
DeskCalc. Copyright 1997-2000 Wunderbear Software. See below for license info.
$Id: DeskCalc.cpp,v 1.3 1998/12/03 08:30:09 timmy Exp $
Code Classification: C++, BeOS

This component provides the main() function for the application, and currently
supplies the actual calculator template (sCalcDesc).

Copyright (c) 1997-2000 Wunderbear Software. All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1) Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

2) Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation and/or
other materials provided with the distribution.

3) Neither the name of the Wunderbear Software nor the names of its contributors
may be used to endorse or promote products derived from this software without
specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COMPANY OR CONTRIBUTORS BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/


// Library Includes

#if defined(PROFILE)
#include <profile.h>
#endif


// Application Includes

#ifndef _CALC_APPLICATION_H
	#include "CalcApplication.h"
#endif


// Globals

CalcApplication *gCalcApp = NULL;


// Calculator Description

static const char *sCalcDesc =
	"7   8   9   (   )  \n"
	"4   5   6   *   /  \n"
	"1   2   3   +   -  \n"
	"0   .   BS  =   C  \n";

static const char *sAppSig = "application/x-vnd.r3-deskcalc";

static const char *sCalcName = "Desk Calculator";


/*******************************************************************************
<func>
Function:	void main();
Summary:	Main to lauch "DeskCalc".
Author:		timmy
Created:	1997.10.01
Notes:		-
History:
1998.03.06 timmy Added profiling support!
1998.07.26 timmy Updated for R3.
</func>
*******************************************************************************/
int main(){
	
	#if defined(PROFILE)
	PROFILE_INIT(PROFILE_MODE_DETAIL, 50000, 100, 20, 4);
	#endif
	
	gCalcApp = new CalcApplication(sCalcDesc, sAppSig, sCalcName);
	
	gCalcApp->Run();
	delete gCalcApp;
	
	#if defined(PROFILE)
	PROFILE_DUMP("/boot/home/projects/calc/deskcalc.profile");
	#endif
	
} // end main()


/******************************************************************************/

// end DeskCalc.c
